#!/bin/sh

#####################################################################
#                                                                   #
#                    SRIPT DE YANNICK KERMAREC                      #
#                     HTTP://WWW.KERMAREC.COM                       #
#                                                                   #
#####################################################################

####################### PARAMÈTRES PRESTASHOP #######################
email=cron@prestashop.com
passwd=motdepass
tab=Import # Onglet auquel vous voulez accéder
admintab='Admin'$tab # Les script de prestashop vont chercher les onglets avec Admin devant
urladminsite=http://www.prestashop.eu/adminxxx/ # L'url de la partie administration de prestashop
csvfile='monfichier.csv' # Le nom de votre fichier csv se trouvant dans le répertoire 'import' de la partie adminxxx
# Les type de valeur pour chaque colonne de votre CSV :
# /!\ ATTENTION /!\ N'oubliez pas de bien renseigner cette partie car c'est ce qui va être utilisé pour mettre à jour la BD
typevalue='&type_value[0]=id&type_value[1]=name&type_value[2]=no&type_value[3]=quantity'

####################### IDENTIFICATION #######################
# Identification et récupération du cookie
wget --save-cookies=cookie.txt --post-data='email='$email'&passwd='$passwd'&Submit=submit' --keep-session-cookies -q -O login.php $urladminsite'login.php'
if [ -n "$(grep 'error' login.php)" ]
then
  error=$(grep '<li>.*</li>' login.php | sed 's/.*<li>\(.*\)<\/li>/\1/g')
  echo 'ERREUR : '$error
else
  # Si pas d'erreur premier accès à la partie administration
  wget --load-cookies=cookie.txt --keep-session-cookies -q -O index.php $urladminsite'index.php' # Accès à la partie administration
  token=$(grep 'index.php?tab='$admintab'\&token=' index.php | sed 's/.*token=\(.*\)\">'$tab'.*/\1/g') # Extraction du token de la page index.php pour l'onglet qui nous intéresse
fi

####################### IMPORTATION CSV #######################
if [ -n "$(echo $token | grep ^[a-z0-9]*)" ]
then
  echo 'TOKEN : '$token # Affichage du token récupéré
  wget --load-cookies=cookie.txt --keep-session-cookies --post-data='tab='$admintab'&token='$token'&skip=0&csv='$csvfile'&entity=1&iso_lang=fr&separator=;&multiple_value_separator=,'$typevalue'&import=Import CSV data' -q -O maj.php $urladminsite'index.php'
else
  echo 'ERREUR : Pas de token'
fi

